Name:		hocr-tools
Version:	1.3.0
Release:	6%{?dist}
Summary:	Tools for working with hOCR data
License:	Apache-2.0
URL:		https://github.com/ocropus/%{name}
Source0:	https://github.com/ocropus/%{name}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros

%description
A collection of Python tools for working with hOCR data.

%prep
%autosetup -n %{name}-%{version}
%generate_buildrequires
%pyproject_buildrequires -r

%build
%pyproject_wheel

%install
%pyproject_install

%check
%{__python3} setup.py test

%files
%license LICENSE
%doc README.md
%{python3_sitelib}/*
%{_bindir}/hocr-check
%{_bindir}/hocr-combine
%{_bindir}/hocr-cut
%{_bindir}/hocr-eval
%{_bindir}/hocr-eval-geom
%{_bindir}/hocr-eval-lines
%{_bindir}/hocr-extract-g1000
%{_bindir}/hocr-extract-images
%{_bindir}/hocr-lines
%{_bindir}/hocr-merge-dc
%{_bindir}/hocr-pdf
%{_bindir}/hocr-split
%{_bindir}/hocr-wordfreq

%changelog
* Fri Sep 15 2023 Brandon Nielsen <nielsenb@jetfuse.net> 1.3.0-6
- Change to SPDX license identifier

* Fri Sep 15 2023 Brandon Nielsen <nielsenb@jetfuse.net> 1.3.0-5
- Correct URL

* Thu Sep 9 2021 Brandon Nielsen <nielsenb@jetfuse.net> 1.3.0-4
- Further simplify requires

* Thu Sep 9 2021 Brandon Nielsen <nielsenb@jetfuse.net> 1.3.0-3
- Use name macro in source URL
- Explicitly require python3-devl as per guidelines
- Use pyproject rpm macros where appropriate

* Fri May 22 2020 Brandon Nielsen <nielsenb@jetfuse.net> 1.3.0-2
- Use pkgconfig for BuildRequires

* Fri Mar 22 2019 Brandon Nielsen <nielsenb@jetfuse.net> 1.3.0-1
- Update to 1.3.0

* Wed Oct 10 2018 Brandon Nielsen <nielsenb@jetfuse.net> 1.2.0-2
- Cleanup version tag

* Mon Oct 02 2017 Brandon Nielsen <nielsenb@jetfuse.net> 1.2.0-1
- Initial specfile
